Package musicbrainz2 :: Module webservice :: Class ResponseError

[frames] | no frames]

# Class ResponseError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                     WebServiceError --+
                                       |
                                      ResponseError

The returned resource was invalid.

This may be due to a malformed XML document or if the requested data wasn't part of the response. It can only occur in case of bugs in the web service itself.

Instance Methods
Inherited from `WebServiceError`: `__init__`, `__str__` Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`